clear all;
close all;
clc;

N = 2.^[3:9];
k = 1;
for n = N
   A = diag(4*ones(n,1))+diag(-ones(n-1,1),1)+diag(-ones(n-1,1),-1);
   b = rand(n,1);
   x0 = b+ones(n,1);
   
   tic
   [L,R] = myLu(A);
   x = solveLU(L,R,b);
   time_direct(k) = toc
   
   tic
   iterationMethod(A,b,x0,1e-12,5000,'gauss-seidel');
   time_iteration(k) = toc   
   k = k + 1;
end



%%
% Plot: ToDo